/*
 * Copyright (c) 2009, 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.jpa.se.cache.xml.disableselective;

public class Customer implements java.io.Serializable {
    // Instance variables
    private String id;
    private String name;

    public Customer() {
    }

    public Customer(String id, String name) {
        this.id = id;
        this.name = name;
    }


    // ===========================================================
    // getters and setters for CMP fields

    public String getId() {
        return id;
    }

    public void setId(String v) {
        this.id = v;
    }

    public String getName() {
        return name;
    }

    public void setName(String v) {
        this.name = v;
    }


    public boolean equals(Object o) {
        Customer other;
        boolean same = true;

        if (!(o instanceof Customer)) {
            return false;
        }
        other = (Customer) o;

        same &= this.id.equals(other.id);

        return same;
    }


    public int hashCode() {
        int myHash;

        myHash = this.id.hashCode() + this.getName().hashCode();

        return myHash;
    }

    @Override
    public String toString() {
        StringBuilder result = new StringBuilder();
        result.append(this.getClass().getSimpleName() + "[");
        result.append("id: " + getId());
        result.append(",  name: " + getName());
        result.append("]");
        return result.toString();
    }
}
